<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>libuser: libuser Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="libuser Reference Manual">
<link rel="up" href="index.html" title="libuser Reference Manual">
<link rel="prev" href="index.html" title="libuser Reference Manual">
<link rel="next" href="libuser-config.html" title="config">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="index.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libuser-config.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="id-1.2"></a>libuser</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt>
<span class="refentrytitle"><a href="libuser-config.html">config</a></span><span class="refpurpose"> — Routines for reading configuration information for the
libuser library.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-value.html">value</a></span><span class="refpurpose"> — Simplified interface to GValue types used in libuser
entities.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-entity.html">entity</a></span><span class="refpurpose"> — Functions for manipulating <span class="type">lu_ent</span> structures.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-error.html">error</a></span><span class="refpurpose"> — Functions for allocating and manipulating <span class="type">lu_error</span>
structures.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-prompt.html">prompt</a></span><span class="refpurpose"> — Sample prompter functions for use with the libuser
library.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-user.html">user</a></span><span class="refpurpose"> — Functions for initializing the library, looking up
information, and making changes to the system information store.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libuser-fs.html">fs</a></span><span class="refpurpose"> — Utilities for modifying the file system and other
aspects of user/group management.</span>
</dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>